﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace Mobile.Search.Web
{
    public class RouteConfig
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                name: "SearchClick",
                url: "SearchClick",
                defaults: new {controller = "Search", action = "SearchClick"});

            routes.MapRoute(
                name: "Desktop",
                url: "results/desktop/{action}",
                defaults: new {controller = "Desktop", action = "json"});

            // well should have thought this one through more
            routes.MapRoute(
                name: "SeperateSystems",
                url: "results/{system}/{action}",
                defaults: new {controller = "Results", action = "json"});


            routes.MapRoute(
                name: "wordcloud",
                url: "wordcloud",
                defaults: new {controller = "Home", action = "WordCloud"});

            routes.MapRoute(
                name: "Default",
                url: "{controller}/{action}/{id}",
                defaults: new { controller = "Home", action = "Index", id = UrlParameter.Optional }
            );

        }
    }
}
