﻿using System;
using Serilog;

namespace Mobile.Search.Web.Models
{
    public class AdStation
    {
        public string Keyword { get; set; }
        public string KeywordId { get; set; }
        public string ListId { get; set; }
        public int? AdCount { get; set; }
        public string Ip { get; set; }

        public Uri Url 
        {
            get
            {
                try
                {

                    var url = new Uri(string.Format("http://sponsoredresult.com/rec_engine/?adCount={3}&listId={2}&keywords={1}&kwid={0}", KeywordId, Keyword, ListId, AdCount ?? 3));

                   // var url = new Uri("/Search/Frame?q=" + Keyword);
                    return url;
                }
                catch (Exception ex)
                {
                    Log.Error("Error " + ex);
                    return null;
                }
            }
        }
    }
}