﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;

namespace Mobile.Search.Web.Controllers
{
    public class WebClipController : Controller
    {
        private readonly HttpClient _httpClient;
        public WebClipController()
        {
            _httpClient = new HttpClient();
        }
        // GET: WebClip
        public async Task<ActionResult> Index(string uuid, string user_class,int? pubid,int? product, string src,string city, string state, string postal_code, string variation = "1")
        {
            uuid = WebUtility.UrlEncode(uuid);
            user_class = WebUtility.UrlEncode(user_class);
            src = WebUtility.UrlEncode(src);
            city = WebUtility.UrlEncode(city);
            state = WebUtility.UrlEncode(state);
            postal_code = WebUtility.UrlEncode(postal_code);
            variation = WebUtility.UrlEncode(variation);
            var pixelUrl =
                $"http://imp.email.adk-mobile.com/install?event=WebclipRedirect&uuid={uuid}&product={product}&pubid={pubid}&source={src}&variation={variation}&user_class={user_class}&city={city}&state={state}&postal_code={postal_code}";

            await _httpClient.GetAsync(pixelUrl);

            return Redirect("https://yahoo.com");
        }
    }
}