﻿using System;
using System.Web;
using Mobile.Search.Shared;

namespace Mobile.Search.Web.Extensions
{
    public static class UrlHelperExtensions
    {
        public static string GetAuthority(this IUrlHelper urlHelper, HttpRequestBase request)
        {
            if (request != null && request.Url != null)
            {
                return request.Url.GetLeftPart(UriPartial.Authority);
            }
            return string.Empty;
        }
    }
}