﻿using Quartz;
using Serilog;

namespace Mobile.Search.Web.Helpers
{
    public class JobListener : IJobListener
    {
        public void JobToBeExecuted(IJobExecutionContext context)
        {
        }

        public void JobExecutionVetoed(IJobExecutionContext context)
        {
        }

        public void JobWasExecuted(IJobExecutionContext context, JobExecutionException jobException)
        {
            if (jobException != null)
            {
                Log.Error(jobException.InnerException ?? jobException, "Error running job {JobKey}", context.JobDetail.Key);
            }
        }

        public string Name => "Job Error Watcher";
    }
}