﻿using System.Runtime.Serialization;
using Amazon.DynamoDBv2.DataModel;

namespace Mobile.Search.Web.Models
{
    [DataContract]
    [DynamoDBTable("d2s_source_tag_mappings", LowerCamelCaseProperties = true)]
    public class SourceTagMapping
    {
        [DynamoDBHashKey]
        public long SourceTagMapId { get; set; }

        [DynamoDBRangeKey]
        public string System { get; set; }

        public long PublisherId { get; set; }

        public long SourceTagId { get; set; }

        public string SourceTag { get; set; }

        public int Platform { get; set; }

        public string QuizId { get; set; }

        public string Subpublisher { get; set; }

        public int Status { get; set; }

        public System.DateTime ModifiedDate { get; set; }
    }

    public enum Platform : int
    {
        All = 1,
        Desktop = 2,
        Mobile = 3
    }
}